Subject: bug#9598: 24.0.50; completion goes too far

From: Eli Zaretskii <[email-masked]>
Date: Mon, 26 Sep 2011 02:09:41 -0400

> Date: Sun, 25 Sep 2011 21:00:28 -0400
> From: Richard Stallman <[email-masked]>
> Cc: [email-masked]
> Reply-To: [email-masked]
> 
>     And we have been over this before[*].  People, including you, have pointed out
>     the user-oriented problems with this UI design, but Stefan really wants it this
>     way.  So you and other users will continue to be surprised.
> 
> I think we should poll the users about this question.  That way we can
> resolve the disagreement based on something more objective.

I find arguments about defaults a waste of time.  So I think instead
of arguing and polling, we should just make sure there's a completion
style that closely resembles what you want, i.e. candidates are found
by matching their beginning with what the user typed.  Currently, I
find no such style in what minibuffer.el offers, or maybe there's a
bug (see my other mail for bug #9591).

(Btw, why do we have 2 separate bug reports about the same issue?)

>     IOW, let users choose at completion time which completion style(s) to use, on
>     demand.  Each time they change methods they can complete anew and find out
>     whether there are matches using that method.
> 
> This might be too complicated an interface to be good to use.

I agree.